package com.psdc.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;


/**
 * @author : stone
 * @date : 2023-4-23
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PsdcDevice {

  /** 设备id */
  private Integer deviceId ;
  /** 用户id */
  private Integer userId ;
  /** 设备类型：1-监测设备，2-运行设备 */
  private Integer deviceType ;
  /** 设备sn */
  private String deviceSn ;
  /** 设备名称 */
  private String deviceName ;
  /** 硬件版本 */
  private String hardVersion ;
  /** 软件版本 */
  private String softVersion ;
  /** 安装地址 */
  private String deviceAddress ;
  /** 启用时间 */
  private Date startTime ;
  /** 设备状态：1-未激活，2-禁用，3-在线，4-离线 */
  private Integer deviceStatus ;
  /** 图片地址 */
  private String photoUrl ;
  /** 创建者 */
  private String createBy ;
  /** 创建时间 */
  private Date createTime ;
  /** 修改者 */
  private String updateBy ;
  /** 修改时间 */
  private Date updateTime ;
  /** 设备运行状态：1-开启，2-关闭 */
  private Integer deviceRunstatus ;


}
