package com.psdc.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 温度历史数据;
 * @author : stone
 * @date : 2023-4-23
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PsdcThermometerHtdata implements Serializable{
    private static final long serialVersionUID = 1L;
    /** l历史数据id */
    private Integer thermometerHtdataId ;
    /** 设备id */
    private Integer deviceId ;
    /** 温度 */
    private Double thermometerValue ;
    /** 进水温度 */
    private Double thermometerValueIn ;
    /** 出水温度 */
    private Double thermometerValueOut ;
    /** 更新时间 */
    private String updateTime ;
}