package com.psdc.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 设备告警表;
 * @author : stone
 * @date : 2023-4-23
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PsdcWarn implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 告警id
     */
    private Integer warnId;
    /**
     * 用户id
     */
    private Integer userId;
    /**
     * 设备id
     */
    private Integer devId;
    /**
     * 告警名称
     */
    private String warnName;
    /**
     * 告警类型
     */
    private String warnType;
    /**
     * 告警描述
     */
    private String warnDesc;
    /**
     * 告警状态
     */
    private Integer warnStatus;
    /**
     * 发生时间
     */
    private String occurTime;
    /**
     * 创建者
     */
    private String createBy;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改者
     */
    private String updateBy;
    /**
     * 修改时间
     */
    private String updateTime;
}