package com.psdc.entity.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.stereotype.Component;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Component
public class DeviceStatusVo {

    /**
     * 设备id
     */
    private Integer deviceId;

    /**
     * 设备类型：1-监测设备，2-运行设备
     */
    private Integer deviceType;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 设备sn
     */
    private String deviceSn;
    /** 图片地址 */
    private String photoUrl ;
    /** 设备运行状态：1-开启，2-关闭 */
    private Integer deviceRunstatus ;

}
